// BarDoc.h : interface of the CBarDoc class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_BARDOC_H__7B1D4B89_90E1_42B1_9379_8E5635C79B00__INCLUDED_)
#define AFX_BARDOC_H__7B1D4B89_90E1_42B1_9379_8E5635C79B00__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CBarDoc : public SECComDoc
{
protected: // create from serialization only
	CBarDoc();
	DECLARE_DYNCREATE(CBarDoc)

	//  4   
	virtual BOOL SecDocUpdate(UINT nSubCode,DWORD dwData);
	virtual BOOL ProcessUserCommand(UINT nOpCode, UINT nSubCode, UINT dwData);
	virtual BOOL ClipboardText(void); 
	virtual BOOL GmemInit(UINT code,HANDLE hMem);

// Attributes
public:
	CFooData m_Data;

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CBarDoc)
	public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CBarDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CBarDoc)
	afx_msg void OnWorkUpdateFooDocument();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_BARDOC_H__7B1D4B89_90E1_42B1_9379_8E5635C79B00__INCLUDED_)
